/*  LWC - Line and Word Counter for text files, version 1.0		*/
/*  (c) 1988 Brad Hufnagel, all rights reserved. 			*/
/*									*/
/*  This program is in the public domain, and may be copied and		*/
/*  distributed for private, non-commercial use only.			*/

#include <stdio.h>

main(argc,argv)
int argc;
char *argv[];
{
   long int chars, lines, spaces, words;
   int brk, fd, chr, x;
   
   printf("\nLWC v. 1.0 - Line and Word Counter\n");

   if (argc == 1)
      {
      printf("(c) 1988 Brad Hufnagel, all rights reserved.\n");
      printf("\nUsage:  lwc <file1> [<file2>...<filen>]\n");
      printf("\nThis is a public domain program, and may be copied\n");
      printf("and distributed for private, non-commercial use only.\n");
      exit(0);
      }
   for (x=1; x<argc; x++)
      {
      if ((fd = fopen(argv[x],"rb")) == NULL)
         printf("\nError - can't open file '%s'\n",argv[x]);
      else
         {
         chars = 0;
         lines = 0;
         spaces = 0;
         words = 0;
         brk = 1;
         printf("\nExamining file '%s':\n",argv[x]);
         while ((chr = fgetc(fd)) != EOF)
            {
            chars++;
            if (chr == 9 || chr == 32 || chr == '\n')
               brk = 1;
            if (chr == '\n')
               lines++;
            if (chr == 32)
               spaces++;
            if (chr > 32 && brk == 1)
               {
               brk = 0;
               words++;
               }
            }
         fclose(fd);
         printf("Lines     : %ld\n",lines);
         printf("Words     : %ld\n",words);
         printf("Spaces    : %ld\n",spaces);
         printf("Characters: %ld\n",chars);
         }
      }
   exit(0);
}
